using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Globalization;
using System.Threading;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace BetterCalendarDemo
{
	/// <summary>
	/// Demo of the BetterCalendar control.
	/// </summary>
	public class Default : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Calendar Calendar1;
		protected BrainJar.Web.UI.WebControls.BetterCalendar BetterCalendar1;

		private void Page_Load(object sender, System.EventArgs e)
		{
			// On the initial load, set the min and max view date to 90 days
			// before and after today's date, respectively.
			if (!this.IsPostBack)
			{
				this.BetterCalendar1.MinVisibleDate = DateTime.Today.AddDays(-90);
				this.BetterCalendar1.MaxVisibleDate = DateTime.Today.AddDays(+90);
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Calendar1.DayRender += new System.Web.UI.WebControls.DayRenderEventHandler(this.Calendar_DayRender);
			this.BetterCalendar1.DayRender += new System.Web.UI.WebControls.DayRenderEventHandler(this.Calendar_DayRender);
			this.ID = "Default";
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void Calendar_DayRender(object sender, System.Web.UI.WebControls.DayRenderEventArgs e)
		{
			// Make days outside the view range nonselectable.
			if ((this.BetterCalendar1.MinVisibleDate != DateTime.MinValue && e.Day.Date < this.BetterCalendar1.MinVisibleDate) ||
				(this.BetterCalendar1.MaxVisibleDate != DateTime.MinValue && e.Day.Date > this.BetterCalendar1.MaxVisibleDate))
				e.Day.IsSelectable = false;
		}
	}
}
